﻿#language: ru

@drivers_of_electric_car

Функционал: 04_drivers.01.004 НСИ.

Сценарий: 04_drivers.01.004 Загрузка НСИ
	Дано Я подключаюсь под "Администратор"
	И Я загружаю НСИ из "data.json"
 
Сценарий: 04_drivers.01.004 Создание складских ячеек
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'Склад с ячейками и контролем' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Склад с ячейками и контролем (Склад)'	
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '2'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками и контролем (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '1'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками и контролем (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '3'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками и контролем (Склад)'
	И я закрыл все окна клиентского приложения

Сценарий: 04_drivers.01.004 Заполнение в складе складских ячеек
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| 'Склад с ячейками и контролем' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Склад с ячейками и контролем (Склад)'
	И я перехожу к закладке "Адресное хранение"
	И в поле 'Дата начала адресного хранения остатков' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Ячейка приемки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Адрес'   |
		| '1020011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад с ячейками и контролем (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка отгрузки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Адрес'   |
		| '1030011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад с ячейками и контролем (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка пересчета"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад с ячейками и контролем (Склад) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'

Сценарий: 04_drivers.01.004 Создание склада Склад с ячейками
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Склад (создание)'
	И в поле 'Наименование' я ввожу текст 'Склад с ячейками'
	И я перехожу к закладке "Адресное хранение"
	И я устанавливаю флаг 'Использовать адресное хранение'
	И я нажимаю на кнопку 'Записать'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '4'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад с ячейками (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И я нажимаю на кнопку 'Перечитать'
	И я нажимаю кнопку выбора у поля 'Ячейка приемки'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад с ячейками (Склад) *'
	И я нажимаю кнопку выбора у поля 'Ячейка отгрузки'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад с ячейками (Склад) *'
	И я нажимаю кнопку выбора у поля 'Ячейка пересчета'
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад с ячейками (Склад) *'
	И Я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Склады'
	И я закрываю окно 'Склады'
